gntpounce.h File Reference
Finch (GNT User Interface)
`#include "pounce.h"`

Go to the source code of this file.

## Functions

void | finch_pounce_editor_show (PurpleAccount *account, const char *name, PurplePounce *cur_pounce)
| Displays a New Buddy Pounce or Edit Buddy Pounce dialog. More...
void | finch_pounces_manager_show (void)
| Shows the pounces manager window.
void | finch_pounces_manager_hide (void)
| Hides the pounces manager window.
void * | finch_pounces_get_handle (void)
| Returns the gtkpounces handle. More...
void | finch_pounces_init (void)
| Initializes the GNT pounces subsystem.
void | finch_pounces_uninit (void)
| Uninitializes the GNT pounces subsystem.

## Detailed Description

GNT Buddy Pounce API

Definition in file gntpounce.h.

## Function Documentation

## finch_pounce_editor_show()

void finch_pounce_editor_show | ( | PurpleAccount * | account,
|  | const char * | name,
|  | PurplePounce * | cur_pounce
| ) |  |

Displays a New Buddy Pounce or Edit Buddy Pounce dialog.

Parameters

  account | The optional account to use.
  name | The optional name to pounce on.
  cur_pounce | The current buddy pounce, if editing an existing one.

## finch_pounces_get_handle()

void* finch_pounces_get_handle | ( | void |  | ) |

Returns the gtkpounces handle.

Returns
  The handle to the GTK+ pounces system